Bug 173941 - [Maintainer Patch] Sterm 0.3 upgrade
Summary: [Maintainer Patch] Sterm 0.3 upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-26 18:00 UTC by kitche
Modified: 2012-11-27 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (743 bytes, patch)
2012-11-26 18:00 UTC, kitche
no flags Details | Diff
sterm.diff (3.45 KB, patch)
2012-11-26 21:43 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kitche 2012-11-26 18:00:00 UTC
Patch for sterm patch to 0.3

Fix: Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2012-11-26 19:42:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2012-11-26 21:43:29 UTC
Hi,

Please note that the patch you sent is reversed.

Also it is only partial. The new version of sterm seems to have grown 
some new dependencies. Patch files don't apply anymore either.

I have fixed these problems and also changed the check on NOPORTDOCS to 
the DOCS option, so to be compliant with the new options framework.

Also trimmed the Makefile header.

Attaching a patch for your approval.

Thank you.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2012-11-26 21:43:43 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 kitche 2012-11-27 07:45:07 UTC
Patch is fine. I tested my port earlier must have missed the font
dependency, as port built fine on my tinderbox,
On Nov 26, 2012 3:43 PM, "Guido Falsi" <madpilot@freebsd.org> wrote:

> Hi,
>
> Please note that the patch you sent is reversed.
>
> Also it is only partial. The new version of sterm seems to have grown some
> new dependencies. Patch files don't apply anymore either.
>
> I have fixed these problems and also changed the check on NOPORTDOCS to
> the DOCS option, so to be compliant with the new options framework.
>
> Also trimmed the Makefile header.
>
> Attaching a patch for your approval.
>
> Thank you.
>
> --
> Guido Falsi <madpilot@FreeBSD.org>
>
Comment 5 Guido Falsi freebsd_committer 2012-11-27 13:10:50 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!